The BOM Website Operation object
Attributes
Unique identifier for the object.
{
"id": "b-o-m-website-operation_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operation": "operation_example",
"workstation": "workstation_example",
"time_in_mins": 0,
"website_image": "website_image_example",
"thumbnail": "thumbnail_example"
} /api/manufacturing/b-o-m-website-operation?parent_id={id} List bom website operations by parent
Returns all bom website operations belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of bom website operation objects belonging to the parent.
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-operation?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "b-o-m-website-operation_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operation": "operation_example",
"workstation": "workstation_example",
"time_in_mins": 0,
"website_image": "website_image_example",
"thumbnail": "thumbnail_example"
}
],
"has_more": false,
"total": 1
} /api/manufacturing/b-o-m-website-operation Create a bom website operation
Creates a new bom website operation object.
Body parameters
Returns
Returns the newly created bom website operation object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-operation \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"operation":"operation_example","time_in_mins":0}' {
"id": "b-o-m-website-operation_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operation": "operation_example",
"workstation": "workstation_example",
"time_in_mins": 0,
"website_image": "website_image_example",
"thumbnail": "thumbnail_example"
} /api/manufacturing/b-o-m-website-operation/{id} Update a bom website operation
Updates the specified bom website operation by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the bom website operation to update.
Body parameters
Returns
Returns the updated bom website operation object.
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-operation/b-o-m-website-operation_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "b-o-m-website-operation_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operation": "operation_example",
"workstation": "workstation_example",
"time_in_mins": 0,
"website_image": "website_image_example",
"thumbnail": "thumbnail_example"
} /api/manufacturing/b-o-m-website-operation/{id} Delete a bom website operation
Permanently deletes a bom website operation. This cannot be undone.
Path parameters
The identifier of the bom website operation to delete.
Returns
Returns a confirmation that the bom website operation has been deleted.
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-operation/b-o-m-website-operation_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "b-o-m-website-operation_abc123",
"deleted": true
} /api/manufacturing/b-o-m-website-operation/reorder Reorder bom website operations
Updates the sort order of bom website operations within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-operation/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "b-o-m-website-operation_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"operation": "operation_example",
"workstation": "workstation_example",
"time_in_mins": 0,
"website_image": "website_image_example",
"thumbnail": "thumbnail_example"
}